AOZ Studio Beta - Bug #514

Error in Developer Tools - rutilities.js:544 Uncaught TypeError: Cannot read property 'length’ of
undefined

09/26/2020 02:59 PM - Jason Wroe

Status: Feedback Start date: 09/26/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Affected version: Beta RC3

Description

Callstack :-

rutilities.js:544 Uncaught TypeError: Cannot read property 'length’ of undefined
at Utilities.convertStringToArrayBuffer (rutilities.js:544)

at rutilities.js: 1839
at HTMLScriptElement.onLoad (rutilities.js:645)

Seems to be coming from convertStringToArrayBuffer()

History

#1 - 09/27/2020 03:44 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to Francois Lionet

Can you post the example code that does this? Thanks!

#2 - 09/27/2020 03:53 PM - Jason Wroe

Unfortunately this is difficult to track down as the code is from my old AMOS program from 25 years ago that is 1800 lines long.

| can post you the entire code of that's any use?

#3 - 09/27/2020 04:14 PM - Jason Wroe
- File fatalblow_error514.aozip added

Attached the game.

#4 - 10/06/2020 08:32 PM - Francois Lionet

This is due to the packed picture bank, which is not for the moment supported in AOZ.

Files

fatalblow_error514.aozip 576 KB 09/27/2020 Jason Wroe
